// --------------------------------------------------------------- -*- JS -*-
// IBM Confidential
// OCO Source Materials
// 5724-Y00
//  Copyright IBM Corp. 2004, 2010. All Rights Reserved.
// The source code for this program is not published or otherwise
// divested of its trade secrets, irrespective of what has
// been deposited with the U.S. Copyright Office.
// --------------------------------------------------------------------------

Ext.namespace('Ilog', 'Ilog.RTSUtilities');

Ilog.RTSUtilities.TaskId = null;

Ilog.RTSUtilities.TestTimeoutSession = function (){ 
	if( Ilog.RTSUtilities.TaskId ){
		window.clearTimeout(Ilog.RTSUtilities.TaskId);		
	}
	
	Ilog.RTSUtilities.TaskId = window.setTimeout(function(){
		    var xhr; 
			var jsonData;
			var serviceUrl = contextPath + '/servlet/IlrBRLServlet';
			xhr = new XMLHttpRequest();  
			xhr.open("POST", serviceUrl, true);
			xhr.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
			xhr.send('sessionTimeout');
					
			xhr.onreadystatechange	= function() { 
			    if ( xhr.readyState == 4 ) {  
			    	try{
				    	xhr.ResponseReceived = true;
					    if( xhr.status == 200 ){
						    var result = xhr.responseText;
						    //if the session is in timeout state, the response is the whole html login page, otherwise it is a Json string
						    var contentType = xhr.getResponseHeader('Content-Type');
						    if ( contentType && contentType.indexOf('text/html')>=0 && document.forms[0] ) {
							    document.forms[0].submit();
						    }
					    }
			    	}
			    	catch(ex){ }
				    
			    }
			}
		}, 2000);	
};